#include "vision.h"
#include<bits/stdc++.h>
std::vector<int> getVisionPattern1d()
{
    return {2,1,2,1,3,1,1,1};
}
int getMove1d(std::vector<int> v)
{
    int curr = v.size()-1;
    curr/=2;
    if(curr == 1){
        if(v[0] == 3) return 0;
        if(v[2] == 3) return 2;
        if(v[0] == 2) return 0;
        if(v[2] == 2) return 2;
        return 0;
    }
    else if(curr == 2){
        if(v[0] == 3) return 0;
        if(v[4] == 3) return 4;
        if(v[0] == 2) return 0;
        if(v[4] == 2) return 4;
    }
    else{
        if(v[5] == 1) return 6;
        return 0;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}

